{"models":[{"endpoint_id":"fal-ai/goal-force","metadata":{"display_name":"Goal Force","category":"image-to-video","description":"Physics-based video generation with Goal Force. Point where you want objects to move, set force direction and strength, get physically plausible results.","status":"deprecated","tags":["image-to-video","controlnet"],"updated_at":"2026-05-26T23:01:44.382Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a928c9f/g9EG5JEuSo_2SqV0hL_h8_fde32fbb53b24e8d963f321aa36c4403.jpg","model_url":"https://fal.run/fal-ai/goal-force","license_type":"commercial","date":"2026-03-17T16:25:14.845Z","highlighted":false,"kind":"inference","pinned":false},"retires_at":null,"replacement":null,"openapi":{"error":{"code":"expansion_failed","message":"Failed to fetch OpenAPI schema"}}},{"endpoint_id":"fal-ai/sora-2/characters","metadata":{"display_name":"Sora 2","category":"image-to-video","description":"Generate character ids to use with Sora 2 generations","status":"deprecated","tags":[""],"updated_at":"2026-08-20T22:06:35.896Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a91ee57/xEfDqX8_tr5k0oO591ShR_5a1a6c98c58e47f2b909421387e44423.jpg","model_url":"https://fal.run/fal-ai/sora-2/characters","license_type":"commercial","date":"2026-03-12T23:42:46.575Z","group":{"key":"sora-2","label":"Character Creation"},"highlighted":false,"kind":"inference","pinned":false},"retires_at":null,"replacement":null,"openapi":{"error":{"code":"expansion_failed","message":"Failed to fetch OpenAPI schema"}}},{"endpoint_id":"fal-ai/cosmos-predict-2.5/image-to-video","metadata":{"display_name":"Cosmos Predict 2.5 2B","category":"image-to-video","description":"Generate video from text and images using NVIDIA's 2B Cosmos Post-Trained Model","status":"deprecated","tags":[],"updated_at":"2026-10-27T22:39:09.521Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a8fcd1d/bqbrB-KoKCNBQG4jEOeZm_ee4d331bf9504f38b7d2ebd823275578.jpg","model_url":"https://fal.run/fal-ai/cosmos-predict-2.5/image-to-video","license_type":"commercial","date":"2026-02-24T20:00:23.313Z","group":{"key":"cosmos-2.5","label":"Image to Video"},"highlighted":false,"kind":"inference","duration_estimate":7,"pinned":false},"retires_at":null,"replacement":null,"openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for fal-ai/cosmos-predict-2.5/image-to-video","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/cosmos-predict-2.5/image-to-video queue.","x-fal-metadata":{"endpointId":"fal-ai/cosmos-predict-2.5/image-to-video","category":"image-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0a8fcd1d/bqbrB-KoKCNBQG4jEOeZm_ee4d331bf9504f38b7d2ebd823275578.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/cosmos-predict-2.5/image-to-video","documentationUrl":"https://fal.ai/models/fal-ai/cosmos-predict-2.5/image-to-video/api","about":"Generate a video from an image and text prompt using Cosmos Predict 2.5 2B (post-trained)."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"CosmosPredict25ImageToVideoInput":{"x-fal-order-properties":["prompt","negative_prompt","num_frames","num_inference_steps","guidance_scale","seed","sync_mode","video_output_type","video_quality","enable_safety_checker","image_url"],"type":"object","title":"ImageToVideoInput","required":["prompt","image_url"],"properties":{"seed":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Seed","description":"Random seed for reproducible generation."},"guidance_scale":{"minimum":1,"type":"number","title":"Guidance Scale","description":"Classifier-free guidance scale. Higher values increase prompt adherence.","default":7,"maximum":20},"negative_prompt":{"type":"string","title":"Negative Prompt","description":"A negative prompt to guide generation away from undesired content.","default":"The video captures a series of frames showing ugly scenes, static with no motion, motion blur, over-saturation, shaky footage, low resolution, grainy texture, pixelated images, poorly lit areas, underexposed and overexposed scenes, poor color balance, washed out colors, choppy sequences, jerky movements, low frame rate, artifacting, color banding, unnatural transitions, outdated special effects, fake elements, unconvincing visuals, poorly edited content, jump cuts, visual noise, and flickering. Overall, the video is of poor quality."},"prompt":{"type":"string","title":"Prompt","examples":["A static, locked-off camera frames an industrial conveyor belt steadily transporting rough rocks through a dimly lit quarry processing facility. The belt runs horizontally across the center of the frame, its thick black rubber surface textured with dust and fine gravel. Jagged gray and brown stones of varying sizes tumble forward in a slow, continuous motion, their sharp edges catching the light. Subtle vibrations ripple through the belt’s surface as small pebbles bounce and shift. In the background, blurred steel beams, pipes, and muted industrial machinery create depth without distraction. Cool, diffused overhead lighting casts soft shadows and highlights the gritty textures, emphasizing dust particles in the air and the raw, rugged surfaces of the rocks."],"description":"The text prompt describing the video to generate."},"video_quality":{"type":"string","title":"Video Quality","description":"The quality of the output video.","default":"high","enum":["low","medium","high","maximum"]},"enable_safety_checker":{"type":"boolean","title":"Enable Safety Checker","description":"Authorized callers may set false to request relaxed screening.","default":true},"num_inference_steps":{"minimum":1,"type":"integer","title":"Number of Inference Steps","description":"Number of denoising steps. More steps yield higher quality but take longer.","default":35,"maximum":50},"num_frames":{"minimum":9,"type":"integer","title":"Number of Frames","description":"Number of frames to generate. Must be between 9 and 93.","default":93,"maximum":93},"image_url":{"type":"string","title":"Image URL","examples":["https://v3b.fal.media/files/b/0a8fc99c/rOav2GLXy0psA9R43CQO2_c6c3b762e7f846fcab0a7bbf124eb03b.jpg"],"description":"URL of the input image to use as first frame."},"video_output_type":{"type":"string","title":"Video Output Type","description":"The format of the output video.","default":"X264 (.mp4)","enum":["X264 (.mp4)","VP9 (.webm)","PRORES4444 (.mov)","GIF (.gif)"]},"sync_mode":{"type":"boolean","title":"Sync Mode","description":"If `True`, the media will be returned as a data URI and the output data won't be available in the request history.","default":false}}},"CosmosPredict25ImageToVideoOutput":{"x-fal-order-properties":["video","seed"],"type":"object","title":"VideoOutput","required":["video","seed"],"properties":{"seed":{"type":"integer","title":"Seed","description":"The random seed used for generation."},"video":{"$ref":"#/components/schemas/VideoFile","description":"The generated video file.","examples":[{"url":"https://v3b.fal.media/files/b/0a8fabc5/qAi19s0dSuQHDZ3O7D_HV_FkSwbls1.mp4","content_type":"video/mp4"}]}}},"VideoFile":{"x-fal-order-properties":["url","content_type","file_name","file_size","width","height","fps","duration","num_frames"],"type":"object","title":"VideoFile","required":["url"],"properties":{"height":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Height","description":"The height of the video"},"width":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Width","description":"The width of the video"},"content_type":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Content Type","examples":["image/png"],"description":"The mime type of the file."},"file_name":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"File Name","examples":["z9RV14K95DvU.png"],"description":"The name of the file. It will be auto-generated if not provided."},"url":{"type":"string","title":"Url","description":"The URL where the file can be downloaded from."},"duration":{"anyOf":[{"type":"number"},{"type":"null"}],"title":"Duration","description":"The duration of the video"},"fps":{"anyOf":[{"type":"number"},{"type":"null"}],"title":"Fps","description":"The FPS of the video"},"num_frames":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Num Frames","description":"The number of frames in the video"},"file_size":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"File Size","examples":[4404019],"description":"The size of the file in bytes."}}}}},"paths":{"/fal-ai/cosmos-predict-2.5/image-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/cosmos-predict-2.5/image-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/cosmos-predict-2.5/image-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CosmosPredict25ImageToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/cosmos-predict-2.5/image-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CosmosPredict25ImageToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"decart/lucy-i2v","metadata":{"display_name":"Lucy Image to Video","category":"image-to-video","description":"Lucy delivers lightning fast performance that redefines what's possible with image to video AI","status":"deprecated","tags":[],"updated_at":"2026-04-30T14:16:47.195Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a8ff28d/4i6qFfvPGpf-Q5NSiVyjL_c92e73955e744d3bb9b3307263792de3.jpg","model_url":"https://fal.run/decart/lucy-i2v","license_type":"commercial","date":"2026-02-23T14:18:42.987Z","highlighted":false,"kind":"inference","pinned":false},"retires_at":null,"replacement":null,"openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for decart/lucy-i2v","version":"1.0.0","description":"The OpenAPI schema for the decart/lucy-i2v queue.","x-fal-metadata":{"endpointId":"decart/lucy-i2v","category":"image-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0a8ff28d/4i6qFfvPGpf-Q5NSiVyjL_c92e73955e744d3bb9b3307263792de3.jpg","playgroundUrl":"https://fal.ai/models/decart/lucy-i2v","documentationUrl":"https://fal.ai/models/decart/lucy-i2v/api","about":"Generate a video from an input image and text prompt using AI video generation\nmodels.\n\nThis endpoint accepts a base64-encoded image and a text prompt, then returns\nan MP4 video file with H.264 encoding."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"LucyI2vInput":{"x-fal-order-properties":["prompt","image_url","aspect_ratio","sync_mode"],"properties":{"prompt":{"examples":["A cinematic video begins with a woman standing in an art studio, wearing a paint-splattered apron over a white off-shoulder blouse, surrounded by colorful canvases on easels. She gently plays with her hair for a moment, then straightens her head and looks directly at the camera with a warm smile. After holding the smile, she gracefully twirls around in place, her apron flowing slightly with the motion, creating a playful and artistic atmosphere against the backdrop of her vibrant paintings."],"description":"Text description of the desired video content","type":"string","title":"Prompt","maxLength":1500},"aspect_ratio":{"description":"Aspect ratio of the generated video.","default":"16:9","title":"Aspect Ratio","type":"string","enum":["9:16","16:9"]},"sync_mode":{"description":"\n            If set to true, the function will wait for the video to be generated\n            and uploaded before returning the response. This will increase the\n            latency of the function but it allows you to get the video directly\n            in the response without going through the CDN.\n        ","default":true,"title":"Sync Mode","type":"boolean"},"image_url":{"examples":["https://storage.googleapis.com/falserverless/model_tests/lucy-14b/lucy-14b-art-swirl-image.png"],"description":"URL of the image to use as the first frame","title":"Image Url","type":"string"}},"type":"object","title":"LucyI2VImageToVideoInput","required":["prompt","image_url"]},"LucyI2vOutput":{"x-fal-order-properties":["video"],"properties":{"video":{"examples":[{"url":"https://storage.googleapis.com/falserverless/model_tests/lucy-14b/lucy-14b-art-swirl-video.mp4"}],"$ref":"#/components/schemas/File","description":"The generated MP4 video with H.264 encoding"}},"type":"object","title":"LucyI2VOutput","required":["video"]},"File":{"x-fal-order-properties":["url","content_type","file_name","file_size"],"properties":{"file_size":{"examples":[4404019],"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The size of the file in bytes.","title":"File Size"},"url":{"description":"The URL where the file can be downloaded from.","type":"string","title":"Url"},"content_type":{"examples":["image/png"],"anyOf":[{"type":"string"},{"type":"null"}],"description":"The mime type of the file.","title":"Content Type"},"file_name":{"examples":["z9RV14K95DvU.png"],"anyOf":[{"type":"string"},{"type":"null"}],"description":"The name of the file. It will be auto-generated if not provided.","title":"File Name"}},"type":"object","title":"File","required":["url"]}}},"paths":{"/decart/lucy-i2v/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/decart/lucy-i2v/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/decart/lucy-i2v":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LucyI2vInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/decart/lucy-i2v/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LucyI2vOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/wan-move","metadata":{"display_name":"Wan Move [480p]","category":"image-to-video","description":"Use Wan-Move to generate videos with controlled the motion using trajectories","status":"deprecated","tags":["image-to-video","motion-control","motion"],"updated_at":"2026-11-04T20:21:59.040Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a87a28e/4m7n8IspYT6G8xgRmi4bP_3ddaa7037cec429d916f965bed0613f9.jpg","model_url":"https://fal.run/fal-ai/wan-move","license_type":"commercial","date":"2025-12-24T21:24:00.028Z","highlighted":false,"kind":"inference","pinned":false},"retires_at":"2027-01-04T08:00:00.000Z","replacement":null,"openapi":{"error":{"code":"expansion_failed","message":"Failed to fetch OpenAPI schema"}}},{"endpoint_id":"bytedance/lynx","metadata":{"display_name":"Lynx","category":"image-to-video","description":"Generate subject consistent videos using Lynx from ByteDance!","status":"deprecated","tags":["image-to-video","subject"],"updated_at":"2026-10-27T22:38:52.338Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/lion/46Az_CH4LkzpoBBIJYiSf_c6c1e1cb386b4e30b7c0e8eee627379c.jpg","model_url":"https://fal.run/bytedance/lynx","license_type":"commercial","date":"2025-11-18T01:53:22.544Z","highlighted":false,"kind":"inference","pinned":false},"retires_at":null,"replacement":null,"openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for bytedance/lynx","version":"1.0.0","description":"The OpenAPI schema for the bytedance/lynx queue.","x-fal-metadata":{"endpointId":"bytedance/lynx","category":"image-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/lion/46Az_CH4LkzpoBBIJYiSf_c6c1e1cb386b4e30b7c0e8eee627379c.jpg","playgroundUrl":"https://fal.ai/models/bytedance/lynx","documentationUrl":"https://fal.ai/models/bytedance/lynx/api","about":"Generate"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"LynxInput":{"x-fal-order-properties":["image_url","prompt","negative_prompt","num_inference_steps","seed","resolution","aspect_ratio","ip_scale","strength","frames_per_second","guidance_scale","guidance_scale_2","num_frames","enable_safety_checker"],"required":["image_url","prompt"],"title":"LynxInput","properties":{"image_url":{"description":"The URL of the subject image to be used for video generation","examples":["https://storage.googleapis.com/falserverless/example_inputs/lynx/example_in.png"],"title":"Image Url","type":"string"},"guidance_scale":{"minimum":1,"maximum":20,"description":"Classifier-free guidance scale. Higher values give better adherence to the prompt but may decrease quality.","title":"Guidance Scale","default":5,"type":"number"},"resolution":{"default":"720p","description":"Resolution of the generated video (480p, 580p, or 720p)","title":"Resolution","enum":["480p","580p","720p"],"type":"string"},"aspect_ratio":{"default":"16:9","description":"Aspect ratio of the generated video (16:9, 9:16, or 1:1)","title":"Aspect Ratio","enum":["16:9","9:16","1:1"],"type":"string"},"negative_prompt":{"description":"Negative prompt to guide what should not appear in the generated video","title":"Negative Prompt","default":"Bright tones, overexposed, blurred background, static, subtitles, style, works, paintings, images, overall gray, worst quality, low quality, JPEG compression residue, ugly, incomplete, extra fingers, poorly drawn hands, poorly drawn faces, deformed, disfigured, misshapen limbs, fused fingers, still picture, messy background, three legs, many people in the background, walking backwards","type":"string"},"seed":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"Random seed for reproducibility. If None, a random seed is chosen.","title":"Seed"},"num_frames":{"minimum":9,"maximum":81,"description":"Number of frames in the generated video. Must be between 9 to 100.","title":"Num Frames","default":81,"type":"integer"},"enable_safety_checker":{"description":"Authorized callers may set false to request relaxed screening.","title":"Enable Safety Checker","default":true,"type":"boolean"},"prompt":{"description":"Text prompt to guide video generation","examples":["A person carves a pumpkin on a porch in the evening. The camera captures their upper body as they draw a face with a marker, carefully cut along the lines, then lift the lid with both hands. Their face lights up with excitement as they peek inside"],"title":"Prompt","type":"string"},"ip_scale":{"minimum":0,"maximum":2,"description":"Identity preservation scale. Controls how closely the generated video preserves the subject's identity from the reference image.","title":"Ip Scale","default":1,"type":"number"},"num_inference_steps":{"minimum":1,"maximum":75,"description":"Number of inference steps for sampling. Higher values give better quality but take longer.","title":"Num Inference Steps","default":50,"type":"integer"},"guidance_scale_2":{"minimum":0,"maximum":10,"description":"Image guidance scale. Controls how closely the generated video follows the reference image. Higher values increase adherence to the reference image but may decrease quality.","title":"Guidance Scale 2","default":2,"type":"number"},"strength":{"minimum":0,"maximum":2,"description":"Reference image scale. Controls the influence of the reference image on the generated video.","title":"Strength","default":1,"type":"number"},"frames_per_second":{"minimum":5,"maximum":30,"description":"Frames per second of the generated video. Must be between 5 to 30.","title":"Frames Per Second","default":16,"type":"integer"}},"type":"object"},"LynxOutput":{"x-fal-order-properties":["video","seed"],"required":["video","seed"],"title":"LynxOutput","properties":{"video":{"description":"The generated video file","examples":[{"content_type":"video/mp4","url":"https://storage.googleapis.com/falserverless/example_outputs/lynx/example_out.mp4"}],"$ref":"#/components/schemas/VideoFile"},"seed":{"description":"The seed used for generation","title":"Seed","type":"integer"}},"type":"object"},"VideoFile":{"x-fal-order-properties":["url","content_type","file_name","file_size","width","height","fps","duration","num_frames"],"required":["url"],"title":"VideoFile","properties":{"height":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The height of the video","title":"Height"},"content_type":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The mime type of the file.","examples":["image/png"],"title":"Content Type"},"url":{"description":"The URL where the file can be downloaded from.","title":"Url","type":"string"},"fps":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"The FPS of the video","title":"Fps"},"num_frames":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The number of frames in the video","title":"Num Frames"},"file_name":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The name of the file. It will be auto-generated if not provided.","examples":["z9RV14K95DvU.png"],"title":"File Name"},"width":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The width of the video","title":"Width"},"file_size":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The size of the file in bytes.","examples":[4404019],"title":"File Size"},"duration":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"The duration of the video","title":"Duration"}},"type":"object"}}},"paths":{"/bytedance/lynx/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/bytedance/lynx/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/bytedance/lynx":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LynxInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/bytedance/lynx/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LynxOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/sora-2/image-to-video/pro","metadata":{"display_name":"Sora 2","category":"image-to-video","description":"Image-to-video endpoint for Sora 2 Pro, OpenAI's state-of-the-art video model capable of creating richly detailed, dynamic clips with audio from natural language or images.","status":"deprecated","tags":["image-to-video","audio","sora-2-pro"],"updated_at":"2026-07-08T16:54:11.192Z","is_favorited":null,"thumbnail_url":"https://v3.fal.media/files/koala/19D6ouLhOE6EKGbUTnfzf_b958de62e48c4356a1c58abef534060b.jpg","model_url":"https://fal.run/fal-ai/sora-2/image-to-video/pro","license_type":"commercial","date":"2025-10-06T22:02:41.752Z","group":{"key":"sora-2","label":"Image to Video (Pro)"},"highlighted":false,"kind":"inference","pinned":false},"retires_at":null,"replacement":null,"openapi":{"error":{"code":"expansion_failed","message":"Failed to fetch OpenAPI schema"}}},{"endpoint_id":"fal-ai/sora-2/image-to-video","metadata":{"display_name":"Sora 2","category":"image-to-video","description":"Image-to-video endpoint for Sora 2, OpenAI's state-of-the-art video model capable of creating richly detailed, dynamic clips with audio from natural language or images.","status":"deprecated","tags":["image-to-video","audio","sora"],"updated_at":"2026-07-08T16:54:02.666Z","is_favorited":null,"thumbnail_url":"https://v3.fal.media/files/kangaroo/8n-yLTQvW5q0BEvW0H2J3_8233c7e127124290b6dfa965f44ebc79.jpg","model_url":"https://fal.run/fal-ai/sora-2/image-to-video","license_type":"commercial","date":"2025-10-06T19:34:52.329Z","group":{"key":"sora-2","label":"Image to Video"},"highlighted":false,"kind":"inference","pinned":false},"retires_at":null,"replacement":null,"openapi":{"error":{"code":"expansion_failed","message":"Failed to fetch OpenAPI schema"}}},{"endpoint_id":"fal-ai/bytedance/seedance/v1/lite/reference-to-video","metadata":{"display_name":"Bytedance Seedance V1 Lite Reference To Video","category":"image-to-video","description":"Seedance lite reference-to-video allows the use of 1 to 4 images as reference to create a high-quality video.","status":"deprecated","tags":["reference-to-video","image-to-video",""],"updated_at":"2026-05-13T11:12:31.221Z","is_favorited":null,"thumbnail_url":"https://fal.media/files/kangaroo/B49-COdFROSlS850S1PfV_be7c6c85a41b4410ae02216253e5c6f8.jpg","model_url":"https://fal.run/fal-ai/bytedance/seedance/v1/lite/reference-to-video","license_type":"commercial","date":"2025-09-01T13:56:37.039Z","group":{"key":"seedance-v1","label":"Seedance 1.0 Lite -- Reference to Video"},"highlighted":false,"kind":"inference","pinned":false},"retires_at":null,"replacement":null,"openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for fal-ai/bytedance/seedance/v1/lite/reference-to-video","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/bytedance/seedance/v1/lite/reference-to-video queue.","x-fal-metadata":{"endpointId":"fal-ai/bytedance/seedance/v1/lite/reference-to-video","category":"image-to-video","thumbnailUrl":"https://fal.media/files/kangaroo/B49-COdFROSlS850S1PfV_be7c6c85a41b4410ae02216253e5c6f8.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/bytedance/seedance/v1/lite/reference-to-video","documentationUrl":"https://fal.ai/models/fal-ai/bytedance/seedance/v1/lite/reference-to-video/api","about":"This model has been deprecated; requests are transparently served by\nxAI's reference-to-video endpoint. Pricing changes to xAI rates.\n\nSafety (OpenAI moderation + image checks) runs explicitly on the\nuser-provided input below — scoped to the input model only (so\ncaller-id headers aren't moderated) and with permissive thresholds\nmirroring seedance_2 to avoid false positives on innocent prompts.\nWe block nsfw at this layer because xAI bills for safety violations."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"BytedanceSeedanceV1LiteReferenceToVideoInput":{"required":["prompt","reference_image_urls"],"type":"object","x-fal-order-properties":["prompt","aspect_ratio","resolution","duration","camera_fixed","seed","enable_safety_checker","num_frames","reference_image_urls"],"properties":{"reference_image_urls":{"examples":[["https://storage.googleapis.com/falserverless/example_inputs/seedance_reference.jpeg","https://storage.googleapis.com/falserverless/example_inputs/seedance_reference_2.jpeg"]],"items":{"type":"string"},"title":"Reference Image Urls","type":"array","description":"Reference images to generate the video with."},"aspect_ratio":{"enum":["21:9","16:9","4:3","1:1","3:4","9:16","auto"],"default":"auto","description":"The aspect ratio of the generated video","type":"string","title":"Aspect Ratio"},"resolution":{"enum":["480p","720p"],"default":"720p","description":"Video resolution - 480p for faster generation, 720p for higher quality","type":"string","title":"Resolution"},"enable_safety_checker":{"default":true,"description":"If set to true, the safety checker will be enabled. Disabling it requires account authorization; unauthorized requests are always checked.","type":"boolean","title":"Enable Safety Checker","examples":[true]},"prompt":{"description":"The text prompt used to generate the video","type":"string","title":"Prompt","examples":["The girl catches the puppy and hugs it."]},"num_frames":{"anyOf":[{"minimum":29,"maximum":289,"type":"integer"},{"type":"null"}],"description":"The number of frames to generate. If provided, will override duration.","title":"Num Frames"},"camera_fixed":{"default":false,"description":"Whether to fix the camera position","type":"boolean","title":"Camera Fixed"},"duration":{"enum":["2","3","4","5","6","7","8","9","10","11","12"],"default":"5","description":"Duration of the video in seconds","type":"string","title":"Duration"},"seed":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"Random seed to control video generation. Use -1 for random.","title":"Seed"}},"title":"SeedanceReferenceToVideoInput"},"BytedanceSeedanceV1LiteReferenceToVideoOutput":{"required":["video","seed"],"type":"object","x-fal-order-properties":["video","seed"],"properties":{"video":{"$ref":"#/components/schemas/File","description":"Generated video file","examples":[{"url":"https://storage.googleapis.com/falserverless/example_outputs/seedance_reference_output.mp4"}]},"seed":{"description":"Seed used for generation","type":"integer","title":"Seed","examples":[42]}},"title":"SeedanceReferenceToVideoOutput"},"File":{"required":["url"],"type":"object","x-fal-order-properties":["url","content_type","file_name","file_size"],"properties":{"file_name":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The name of the file. It will be auto-generated if not provided.","examples":["z9RV14K95DvU.png"],"title":"File Name"},"url":{"description":"The URL where the file can be downloaded from.","type":"string","title":"Url"},"file_size":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The size of the file in bytes.","examples":[4404019],"title":"File Size"},"content_type":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The mime type of the file.","examples":["image/png"],"title":"Content Type"}},"title":"File"}}},"paths":{"/fal-ai/bytedance/seedance/v1/lite/reference-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/bytedance/seedance/v1/lite/reference-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/bytedance/seedance/v1/lite/reference-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BytedanceSeedanceV1LiteReferenceToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/bytedance/seedance/v1/lite/reference-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BytedanceSeedanceV1LiteReferenceToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/wan-ati","metadata":{"display_name":"Wan Ati","category":"image-to-video","description":"WAN-ATI is a controllable video generation model that uses trajectory instructions to guide object, local, and camera motion, enabling precise and flexible image-to-video creation.","status":"deprecated","tags":[],"updated_at":"2026-11-04T20:21:59.143Z","is_favorited":null,"thumbnail_url":"https://fal.media/files/zebra/08UqxLqr7sMO2AoVe9S7y_74d97134c50643e287a332aaae11b3d1.jpg","model_url":"https://fal.run/fal-ai/wan-ati","license_type":"commercial","date":"2025-08-29T23:23:18.962Z","highlighted":false,"kind":"inference","pinned":false},"retires_at":"2027-01-04T08:00:00.000Z","replacement":null,"openapi":{"error":{"code":"expansion_failed","message":"Failed to fetch OpenAPI schema"}}}],"next_cursor":"MjA","has_more":true}
